Bug#685519: [libc6] /usr/local/lib/x86_64-linux-gnu should be in ldconfig list

2017-11-23 Thread Emmanuel Engelhart
Anything we can do to help that patch being merged? Here a few tickets which seems to be directly related to that bug: * Meson: https://github.com/mesonbuild/meson/issues/1972 * Libzim: https://github.com/openzim/libzim/issues/26 -- Kiwix - Wikipedia Offline & more * Web: http://www.kiwix.org

Bug#856595: RFP: kiwix-tools -- Kiwix (http://www.kiwix.org) command line tools

2017-03-02 Thread Emmanuel Engelhart
Package: wnpp Severity: wishlist * Package name: kiwix-tools Version : 1.0 Upstream Author : Emmanuel Engelhart <kel...@kiwix.org>, Matthieu Gautier <mgaut...@kymeria.fr> * URL : https://github.com/kiwix/kiwix-tools * License : GPL Program

Bug#856552: RFP: libkiwix -- Kiwix (http://www.kiwix.org) underlying library

2017-03-02 Thread Emmanuel Engelhart
Package: wnpp Severity: wishlist * Package name: libkiwix Version : 1.0 Upstream Author : Emmanuel Engelhart <kel...@kiwix.org>, Matthieu Gautier <mgaut...@kymeria.fr> * URL : https://github.com/kiwix/kiwix-lib * License : GPL Program

Bug#763321: Kiwix-serve

2015-09-19 Thread Emmanuel Engelhart
On 02.09.2015 11:23, Elena ``of Valhalla'' wrote: X-Debbugs-Cc: debian-edu-pkg-t...@lists.alioth.debian.org, 1o5g4...@gmail.com What about packaging just kiwix-serve? It shouldn't depend on xulrunner, and adding it back into debian would mean that there would be at least one reader for ZIM

Bug#752837: About to have broken kiwix remove from Debian

2014-09-25 Thread Emmanuel Engelhart
Hi Mike Thank you very much for your patience and effort to keep Kiwix running on Debian. The work generated by the deletion of xulrunner related packages is not trivial. We have had already a look to this at the time xulrunner was removed from Ubuntu. Therefore, without a compilation/gecko

Bug#752837: kiwix: build-depends on xulrunner-dev which is gone

2014-09-02 Thread Emmanuel Engelhart
Hi On 08/25/2014 03:17 AM, Mike Gabriel wrote: Hi Emilio, On Fr 27 Jun 2014 00:09:08 CEST, pochu wrote: Source: kiwix Severity: serious kiwix build-depends on xulrunner-dev, which is no longer built by src:iceweasel. If you use it for libxul or mozilla-plugin, that is now in iceweasel-dev.

Bug#752837: kiwix: build-depends on xulrunner-dev which is gone

2014-06-27 Thread Emmanuel Engelhart
On 27.06.2014 05:38, Vasudev Kamath wrote: Kelson it looks like the package we are depending on xulrunner-dev is no longer provided, do you know which of above packages we can use?. I think this also has to be taken care during your next release. I don't know with which package this is

Bug#713090: kiwix: FTBFS

2013-08-15 Thread Emmanuel Engelhart
Le 13/08/2013 01:59, Mike Gabriel a écrit : Hi Emmanuel, On Mo 05 Aug 2013 08:27:42 CEST Emmanuel Engelhart wrote: On 08/05/2013 02:21 PM, Fathi Boudra wrote: This is a know bug with xulrunner 17 and further. This is already fixed in the Kiwix master branch. Next Kiwix release (0.9rc3

Bug#713090: kiwix: FTBFS

2013-08-05 Thread Emmanuel Engelhart
On 08/05/2013 02:21 PM, Fathi Boudra wrote: This is a know bug with xulrunner 17 and further. This is already fixed in the Kiwix master branch. Next Kiwix release (0.9rc3) is planned for August. Any ETA for Kiwix 0.9 rc3 ? Bug fixed in our git: http://code.kiwix.org Currently working on the

Bug#714291: unable to install it on powerpc

2013-06-30 Thread Emmanuel Engelhart
Kiwix package should depend on the new version of xulrunner (xulrunner-17.0?). If a dummy package exists (xulrunner?), should be better to use it. Le 27/06/2013 17:27, Raf Czlonka a écrit : Package: kiwix Version: 0.9~beta6.8-1 Severity: serious Hi, I have installed the package a while

Bug#713090: kiwix: FTBFS: xpidl.IDLError: error: type 'PRUint32' not found, ../../../src/components/zimAccessor/IZimAccessor.idl line 13:30

2013-06-22 Thread Emmanuel Engelhart
This is a know bug with xulrunner 17 and further. This is already fixed in the Kiwix master branch. Next Kiwix release (0.9rc3) is planned for August. Le 22/06/2013 13:08, Lucas Nussbaum a écrit : Source: kiwix Version: 0.9~beta6.8-1 Severity: serious Tags: jessie sid User:

Bug#698111: ITP: zimlib -- Standard library implementation of ZIM specifications

2013-01-20 Thread Emmanuel Engelhart
Le 20/01/2013 06:20, Vasudev Kamath a écrit : On 22:00 Mon 14 Jan , Raphael Hertzog wrote: Hi, On Mon, 14 Jan 2013, Vasudev Kamath wrote: I did some more investigation and I don't see any file name clash betweek zim from zim-wiki and zimlib. Even though both packages have zim in the

Bug#695184: kiwix: Allow/propose setting zim files download location

2012-12-06 Thread Emmanuel Engelhart
Hi I perfectly agree with all your remarks and thank you to point these issues out officially with this feature request. Fixing all the UI issues related to the indexes and ZIM files store location will be the focus of next 0.9rc3 release. Kind regards Emmanuel Le 05/12/2012 02:55, nodiscc a

Bug#694508: kiwix: Kiwik does not remember loaded bookmark sets

2012-11-27 Thread Emmanuel Engelhart
Hi, I have implemented that, this will be available for you in the to be release next Kiwix 0.9rc2 version. I do not have implemented the unload button because to me, the disadvantage of making the UI more complex is higher of the add value of having it. Thank you for your feature request

Bug#679605: Kiwix base64.h

2012-06-30 Thread Emmanuel Engelhart
On 30/06/2012 09:51, Vasudev Kamath wrote: Hi, I'm one of the uploader of Kiwix and I just checked the base64.h of both package and they seems to be 2 different files with same name, I'm trying to contact the upstream to see if this file can be renamed in Kiwix. I've not yet contacted

Bug#556379: libunac1: libunac crash with gcc-4.4 and x86-64 architecture

2009-11-15 Thread Emmanuel Engelhart
Package: libunac1 Version: 1.8.0-2 Severity: normal Using Libunac.so always makes my application dieing (segfault). The problem is new and related to the usage of gcc-4.4. Compiling my test binary with previous version of gcc avoids the issue. The package seems to be pretty old, but recompiling

Bug#384190: develock-el: Bad highlighting in Perl mode

2006-08-22 Thread Emmanuel Engelhart
Subject: develock-el: Bad highlighting in Perl mode Package: develock-el Severity: normal *** Please type your report below this line *** All lines after the following code: die q/salut l'ami/; will as comment interpreted. -- System Information: Debian Release: testing/unstable APT

Bug#375964: mediawiki1.5-math: tetex-extra dependence failed

2006-06-29 Thread Emmanuel Engelhart
Package: mediawiki1.5-mathSeverity: important*** Please type your report below this line ***That's not possible to write \mathbb{R} without the 'tetex-extra'package.Almost all pages of Wikipedia dealing with mathematics use \mathbb{}. -- System Information:Debian Release: testing/unstable APT

Bug#374605: libhtml-format-perl: Problem with UTF8

2006-06-20 Thread Emmanuel Engelhart
Subject: libhtml-format-perl: Problem with UTF8Package: libhtml-format-perlVersion: 2.04-1Severity: important*** Please type your report below this line ***I tried to get the text content of an UTF8 encoded HTML page. with the following code:require HTML::TreeBuilder;$tree =